SimpleTextStoredFieldsReader (Lucene 10.5.1 codecs API)
Description: declaration: package: org.apache.lucene.codecs.simpletext, class: SimpleTextStoredFieldsReader

Package org.apache.lucene.codecs.simpletext

# Class SimpleTextStoredFieldsReader

java.lang.Object
org.apache.lucene.index.StoredFields
org.apache.lucene.codecs.StoredFieldsReader
org.apache.lucene.codecs.simpletext.SimpleTextStoredFieldsReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Cloneable`

public class SimpleTextStoredFieldsReader extends StoredFieldsReader
reads plaintext stored fields

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleTextStoredFieldsReader(Directory directory, SegmentInfo si, FieldInfos fn, IOContext context)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkIntegrity()`
  `StoredFieldsReader`
  `clone()`
  `void`
  `close()`
  `void`
  `document(int n, StoredFieldVisitor visitor)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.lucene.codecs.StoredFieldsReader

  `getMergeInstance`

  ### Methods inherited from class org.apache.lucene.index.StoredFields

  `document, document, prefetch`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SimpleTextStoredFieldsReader

    public SimpleTextStoredFieldsReader(Directory directory, SegmentInfo si, FieldInfos fn, IOContext context) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### document

    public void document(int n, StoredFieldVisitor visitor) throws IOException
    Specified by:
      `document` in class `StoredFields`
    Throws:
      `IOException`

  - ### clone

    public StoredFieldsReader clone()
    Specified by:
      `clone` in class `StoredFieldsReader`

  - ### close

    public void close() throws IOException
    Throws:
      `IOException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### checkIntegrity

    public void checkIntegrity() throws IOException
    Specified by:
      `checkIntegrity` in class `StoredFieldsReader`
    Throws:
      `IOException`